v13.7 (2026 07 11)
* Adds new PHEMU Photometry module
* Adds new Heliocentric elements module

v13.6.1 (2026 06 22)
* Updates submit module in Comet Photometry to use midpoint of observation for timestamp
* Updates local Find_Orb to use latest codebase

v13.6 (2026 05 24)
* Adds ability to change lightcurve legend text formatting for default style
* Adds ability to change lightcurve symbol mapping
* Improves multiple monitor handling on macOS

v13.5.3 (2026 05 09)
* Fixes updating of binning keywords in FITS header when using superpixel Debayer mode

v13.5.2 (2026 05 06)
* Updates Verify Track module to adjust cutout size to accommodate larger user-defined measuring apertures

v13.5.1 (2026 04 23)
* Adds two new Lua API calls: host.images.open_img_viewer and host.images.load_known_objects
* Adds option to load known objects in image from command line (new option 18)
* Ensures COBS Lookup window is visible after refreshing results
* Fixes Legend sorting when 10 or more sets are present

v13.5 (2026 04 17)
* Adds new COBS comet lookup interface
* Adds direct access to cluster allocation module
* Updates handling of pixels having -inf and +inf in 32-bit images
* Updates edit field input in custom magnitude offset window

v13.4 (2026 04 12)
* Adds configurable items for asteroid matching distance, speed, and PA to both override file and Lua script
* Updates Debayer module to set FITS binning and pixel size keywords when superpixel mode is used

v13.3 (2026 03 27)
* Adds ability to generate ephemeris for gaps in Lightcurve
* Adds ability to show/hide plot type in Lightcurve title
* Adds ability to display multiple columns in Lightcurve legend
* Adds ability to select Lightcurve legend by Filter, MagBand, and MPC Code
* Adds ability to rearrange the Lightcurve legend in the plot area
* Updates downloading observations of NEOCP objects
* Updates handling of A/YYYY objects for Comet Photometry module
* Updates scaling of 32-bit images

v13.2 (2026 02 28)
* Adds option to include flux values in Comet Photometry report window
* Adds option to customize URL and token in COBS submission module
* Adds ability to extract .fz and .cr2 files to custom output directory
* Updates handling of 32-bit images when BSCALE and BZERO are specified

v13.1 (2026 02 22)
* Adds ability for resize module to work with images having different dimensions
* Adds ability to specify a custom output directory

v13.05 (2026 02 01)
* Updates FITS loading routine to adjust offset for images having DATAMIN less than zero

v13.04 (2026 01 31)
* Updates Monitor Queue to consider a dataset completed whenever process has exited, rather than relying only on done.txt file
* Updates Monitor Queue with new option to enable running Lua script in background

v13.03 (2026 01 31)
* Fixes bug that could occur when aligning images that have fewer than three stars present

v13.02 (2026 01 22)
* Updates COBS submission plugin with ISO formatted date and updated exposure time format
* Fixes resizing issue that could occur when using images having odd pixel dimensions

v13.01 (2026 01 20)
* Updates COBS submission plugin with tail information and updated comet naming format

v13 (2026 01 18)
* Adds ability to resize Image Viewer in Windows version
* Adds ability to compute photometry ZeroPt using stars selected from global image solution
* Adds additional error checking to Find_Orb diagnostic routine
* Adds support for RSDC method for generating initial TLEs
* Adds new Plugin Manager module for Lua scripts
* Adds Lua script API reference for Tycho
* Adds ability to manually specify RA/Dec center for plate solver
* Adds ability to work with comet fragments in MPC1992 format for both numbered and unnumbered comets
* Adds Larson-Sekanina filter for comets
* Adds support for MPC extended packed provisional designations
* Adds new Q_FACTOR parameter in observatory camera setup to support cameras having ADC with more than 16-bit depth
* Adds ability to generate .gif animations from Image Viewer
* Adds ability to specify dimensions in Percent units rather than Pixel units for the Resize module
* Adds ability to export CSV from Fast Tracker results
* Adds ability to save track file (.trk) from Fast Tracker results
* Adds ability to load .trk file and display associated Fast Tracker results
* Adds ability to send comet observations to Comet Observation database (COBS)
* Adds ability to auto-update the configuration files for Comet Photometry
* Adds support for comet fragments in Comet Photometry ICQ output
* Updates Comet Photometry module to return the midpoint of observation for ICQ date
* Updates the "Load Comp Stars" menu item to set the AAVSO chart ID where applicable
* Updates computation of uncertainty values rmsRA, rmsDec, and rmsFit
* Updates Monitor Queue module to support Lua scripts
* Updates Batch Mode module to support Lua scripts
* Removes rounding of magnitude uncertainty as shown in Photometry Measurements window
* Eliminates re-centering of cursor when creating ruler
* Fixes memory leak that could occur in Image Viewer (Windows version)
* Fixes cursor drift issue when creating ruler on macOS version

v12.7 (2025 11 11)
* Adds new Zero Aperture Astrometry module (accessible via Create->Zero Aperture from Image Viewer menu)
* Updates Image Statistics module to display residuals to three decimal points
* Adds ability to differentiate between check and regular comparison stars from Image Viewer display
* Fixes issue of inconsistent camera type (CCD vs CMOS) when invoking "View" observations context menu item

v12.6.2 (2025 09 20)
* Adds support for magnitude precision option to observatory settings
* Adds extra precision option of 0.01 seconds to observatory settings

v12.6.1 (2025 08 20)
* Fixes issue that could occur with conversion of sky coordinates to pixel coordinates in "Known Objects" module
* Fixes issue that could occur when attaching legacy Find_Orb ephemeris to dataset

v12.6 (2025 07 26)
* Updates "Known Objects" module to handle high eccentricity comets

v12.5.9 (2025 07 23)
* Updates "Observations -- All Targets" module to allow appending observations

v12.5.8 (2025 07 13)
* Adds support for "UT" timestamp keyword
* Adds edit boxes to complement comet photometry aperture settings
* Adds aspect ratio locking option to comet photometry aperture settings
* Updates Known Object module to extract comet name when provisional designation is used
* Fixes issue that could occur when using scale factor in comet photometry aperture settings

v12.5.7 (2025 06 17)
* Adds ability to add previously selected directories to Batch module
* Updates handling of provisional comet names in Known Objects module

v12.5.6 (2025 06 06)
* Improves formatting of ICQ report for comet photometry
* Fixes error that can occur when working with AAVSO stars at cross-over from negative to positive declination

v12.5.5 (2025 05 29)
* Adds ability to invert pixel values in Calibration module
* Adds display of Afrho(cm) error and Afrho(10k) error quantities
* Updates comet name when invoking Apply Object Data from Known Object module

v12.5.4 (2025 05 24)
* Updates "Save as FITS Image" module to encode 3 decimal points for DATE-OBS keyword
* Adds MagErr column in Comet Report
* Adds auto selection of the ICQ comet "method" value based on magnitude band
* Adds display of Sun Magnitude to comet report

v12.5.3 (2025 04 28)
* Updates FITS loading routine

v12.5.2 (2025 04 27)
* Adds ability to save entries in Photometry Measurements window to CSV file
* Updates ALCDEF export for unnumbered objects

v12.5.1 (2025 04 23)
* Adds option to view comet report format description
* Updates User Guide

v12.5 (2025 04 21)
* Improves comet name handling
* Updates comet report to include individual Afrho measurements
* Moves comet ICQ line near top of comet report
* Fixes issue where JPL Horizons would not attach ephemeris to images having the same Date-Obs

v12.4.2 (2025 04 12)
* Adds ability to view original astrometric observations associated with photometry entries
* Updates Transform Generator to work with color CMOS cameras

v12.4.1 (2025 03 08)
* Adds prompt to warn when possible duplicate observations may be sent
* Updates Std Mag Pair graph when data points are deactivated
* Fixes issue where "Photometry Computation Failed" message is shown when using "Require at least N stars" setting

v12.4 (2025 03 02)
* Adds ability to apply transformations with ensemble of AAVSO comparison stars
* Adds ability to apply transformations with ensemble of ATLAS comparison stars
* Adds ability to more easily specify custom notes in AAVSO export
* Adds improved support for CR2 images
* Fixes issue that can occur when invoking GNSS analysis module
* Fixes issue that can occur with ICQ comet tail length reporting
* Fixes scale factor used in some 32-bit FITS images

v12.3.1 (2025 02 08)
* Fixes issue that can occur with check star not showing up in AAVSO export

v12.3 (2025 02 06)
* Adds folders to photometry repository
* Adds support for variable star catalog derived from Gaia by Marc Serreau
* Adds support for RAPAS filters (Gaia Gbp and Grp passbands)
* Adds calibration selection in ICQ settings
* Updates Debayer module so that "FILTER" is exported as TR, TG, and TB
* Colorizes confidence indicators in Fast Tracker
* Fixes issue with filenames containing special characters (Windows)
* Fixes JPL Horizons certificate issue (macOS)
* Fixes issue that could occur in Active Comp Star graph
* Fixes comparison star ensemble to ensure check stars are not included

v12.2 (2025 01 11)
* Adds option to perform extinction correction in Comet Photometry module
* Adds additional control over sky background computation in Comet Photometry module
* Adds additional step sizes in Comet Photometry module
* Adds button to measure comet tail in Comet Photometry module
* Adds support for ICQ format in Comet Photometry module
* Fixes issue that could occur where BAYERPAT keyword is removed after performing Calibration

v12.1 (2024 12 27)
* Automatically saves changes in confidence threshold in Dataset Navigator
* Updates Comet Photometry module with new coma aperture selection

v12 (2024 12 20)
* Adds new Comet Photometry module
* Adds new Monitor Queue module
* Adds new Satellite Identification module
* Adds new Fast Tracker module
* Adds new Satellite Lookup module
* Adds new TLE Propagator module
* Adds new Satellite Viewer module
* Adds new IOD Report module
* Adds new GNSS Analysis module
* Adds new TLE Analysis module
* Adds "Large Aperture Mode" to aperture settings
* Updates plate solver default settings
* Updates Image Viewer initialization routine with current image selection
* Fixes issue that can occur when setting period search "Start" parameter to 0
* Fixes issue where Detection Sensitivity window may appear in background on Windows 11

v11.8.6 (2024 12 06)
* Adds support for JWST demonstration dataset

v11.8.5 (2024 10 31)
* Adds "Export to Transformations" button on AAVSO Export window
* Adds "Save" menu item to Transformation Results window
* Adds "Reset" menu options to Image Viewer for macOS variant

v11.8.4 (2024 10 05)
* Adds plate scale information to 'done.txt' file for AutoRun operation
* Adds adjustments to background mode

v11.8.3 (2024 09 16)
* Updates background mode for AutoRun operation

v11.8.2 (2024 09 15)
* Adds ability to show full stack in Dataset Navigator
* Adds ability to launch AutoRun in background mode
* Changes "Photometry Computation Failed" message to be more descriptive when object is outside field of view
* Updates done.txt file produced by AutoRun to include image details regardless of whether or not tracker is invoked
* Updates formatting of roving observer latitude string to have leading zero in column 47

v11.8.1 (2024 09 10)
* Adds ability to add a Location Favorite from the "Image Viewer" Location menu

v11.8 (2024 09 08)
* Adds support for GPS_SUTC keyword
* Adds LCO Viewer mode

v11.7.8 (2024 08 31)
* Updates comment line in ADES header

v11.7.7 (2024 08 30)
* Adds option to use ADES format when applying for new MPC code

v11.7.6 (2024 08 28)
* Adds option to apply automatic mask in Track Navigator

v11.7.5 (2024 08 11)
* Adds bounds checking on ADES columns rmsRA, rmsDec, and rmsFit with lower bound of 0.01
* Fixes bug that could occur when plate solving an image near zero declination with tight tolerances on search

v11.7.4 (2024 07 25)
* Adds type column to variable star list (as accessed via Photometry->Load Variable Stars from Image Viewer menu)
* Adds ability to export variable star list to CSV format
* Fixes bug that could occur when plate solver is unable to find a solution to all requested images

v11.7.3 (2024 07 23)
* Adds multithreading to plate solve save routine

v11.7.2 (2024 07 07)
* Updates AAVSO chart to use Filter Translator module for automatic filter matching

v11.7.1 (2024 07 01)
* Updates comet Af(rho) computation module to mirror results from Cometas-Obs

v11.7 (2024 06 30)
* Adds truncation of observer and measurer strings in Image Viewer overlay
* Adds ability to recognize both "TIME-OBS" and "TIME_OBS" (with underscore rather than dash)
* Adds magnitude band to "Magnitude" axis label in lightcurve graph
* Adds ability to choose both fixed range and fixed interval in lightcurve magnitude axis
* Updates lightcurve graph title to be [Number Name] per MPB convention
* Updates lightcurve raw plot so that horizontal axis can start on integer day offset

v11.6.4 (2024 06 23)
* Adds ability to set Transform Display settings unique to current observatory
* Adds ability to specify Observer and Measurer fields longer than 70 characters

v11.6.3 (2024 06 10)
* Fixes issue that could occur when computing flux using non-circular apertures

v11.6.2 (2024 06 02)
* Adds new settings window to Track Navigator from File->Settings menu item
* Adds ability to apply CSV export options to AutoRun module
* Adds ability to export end-of-track position to CSV export

v11.6.1 (2024 05 31)
* Adds ability to export SNR and flux measurements from CSV export of Track Navigator
* Propagates "AIRMASS" keyword when performing SaveAsFITS routine from Image Viewer

v11.6 (2024 05 30)
* Adds ability to override observatory settings with those from the current dataset in Dataset Navigator
* Adds ability to check object astrometry from Dataset Navigator with previously attached observations
* Adds ability to auto populate designation from TAR_NAME keyword using Dataset Navigator
* Adds ability to view previously submitted MPC reports (via Tools->Submitted MPC Reports)
* Adds ability to delete/archive datasets from Dataset Navigator
* Preserves "OBSERVER" keyword when performing AutoRun session
* Preserves dataset ephemeris when performing AutoRun session
* Updates handling of FITS images containing EXTEND keyword

v11.5.1 (2024 05 25)
* Overrides PSF fitting when measuring streak midpoint with ruler
* Fixes bug that could occur when setting comp stars to have same aperture as target

v11.5 (2024 05 09)
* ADES report can now use "OBSERVER" field override
* Adds improved exception handling for downloading catalogs from VizieR service
* Adds ability to automatically revert to global WCS solution under Advanced star catalog options.
* Fixes issue that could occur when both DATE-OBS and TIME-OBS keywords are present in FITS header
* Fixes issue that could occur when using observatory override option in AutoRun mode

v11.4.1 (2024 04 24)
* Adds additional adjustment to JD_UTC label for Lightcurve window

v11.4 (2024 04 22)
* Fixes JD_UTC label on horizontal axis when in raw plot mode for Lightcurve window
* Updates Resize module with ability to make settings unique to current observatory
* Updates computation of period error to use method described on p177 of Icarus 77
* Updates period and period error precision

v11.3.1 (2024 04 15)
* Fixes issue that could occur when using AutoRun with legacy override file

v11.3 (2024 04 06)
* Fixes QA module so that matching of RA/Dec works regardless of "extra precision" setting
* Updates ImageStats module to select "tMag" using the magnitude band associated with the current image
* Updates ALCDEF export to include exporting of comparison stars
* Updates the Resize module so that each side of the image can be cropped independently

v11.2 (2024 03 06)
* Adds ability to specify non-circular aperture shape for comparison stars
* Fixes positioning of period curve drawn in Lightcurve window

v11.1.1 (2024 02 11)
* Adds additional option to Advanced tab in Star Catalog settings

v11.1 (2024 02 04)
* Adds ability to specify an observation file for AutoRun
* Adds ability to specify a motion offset file for AutoRun
* Adds ability to fix row/column artifacts in Calibration module
* Fixes issue that could occur when loading star catalog with very small field of view

v11.0.3 (2024 01 14)
* Updates lightcurve window so that the axis range does not reset upon datapoint deletion
* Updates lightcurve window so that the error bars conform to font scaling update
* Adds option to filter linkages by 'q' orbital parameter
* Adds option to make alignment settings unique to active observatory
* Adds option to make Known Objects filter settings unique to active observatory

v11.0.2 (2024 01 09)
* Improves opening of RAW files in batch mode
* Fixes issue that could occur when submitting observations on macOS

v11.0.1 (2024 01 05)
* Improves efficiency of plate solve batch mode
* Updates distortion correction option for "Star Match" alignment mode
* Updates tracker timeout handler to account for user-invoked pauses
* Updates lightcurve database

v11.0 (2024 01 01)
* Adds new automatic modes for easier interface with plate solver
* Adds ability to quickly and accurately plate solve all images in dataset
* Adds ability to specify reference image for plate solving
* Adds new Lanczos-3 interpolation method for alignment
* Adds new WCS alignment option
* Adds new VNG interpolation method for debayer module
* Adds ability to specify output mode for debayer module
* Adds improved pedestal (offset) handling in Calibration module
* Calibration module now makes use of CCD-TEMP keyword for auto selecting dark
* Calibration module now outputs which dark has been selected
* Calibration module now outputs which flat has been selected
* Calibration module now adds pedestal when required by dark frame
* Calibration module now sets CALSTAT keyword
* Calibration masters can now be easily created from within Image Viewer
* Adds new K-Sigma stacking method
* Adds auto-update functionality to Known Objects module
* Adds new and improved editor for batch modification of FITS headers
* Adds ability to exclude images according to sampling interval
* Adds new hyperbolic stretch functionality
* Adds new color calibration module
* Adds new channel selector module
* Adds new drizzle module
* Adds support for RAW file types (Sony, Canon, etc)
* Adds ability to specify minimum number of required catalog stars in advanced tab
* Automatically updates WCS on loaded images without having to reload the Image Viewer
* Adds ability to load/save photometry files to custom folders
* Improves retrieval of observations for objects having both a permID and provID
* Fixes bug that could occur in lightcurve plot for various font scaling factors
* Fixes selection of stacked images in Observations window (macOS)
* Fixes issue that could occur when Known Objects has fewer objects than number of worker threads

v10.8.5 (2023 09 25)
* Adds ability to revert to a supported catalog MagBand when using auto match MagBand option
* Updates JPL Horizons interface to work with timestamps having fractional second granularity
* Renames "Differential Photometry" menu item to "Calibrated Magnitudes" in Photometry menu
* Adheres to lower bound of 0.01 for rmsMag field for ADES report
* Fixes issue that could occur on macOS with file chooser
* Fixes issue that could occur with "Check Residuals" on low numbered minor planets
* Fixes updating of AC2 line in Send Report when updating report parameters
* Fixes negative declination bug in "Calculate Speed from Observations" module
* Fixes cosmetic issue with macOS calibration window

v10.8.4 (2023 09 14)
* Fixes issue that could occur when saving to a new photometry repository

v10.8.3 (2023 09 12)
* Fixes issue that could occur when submitting ADES report with exposures shorter than 1.0 second

v10.8.2 (2023 09 11)
* Updates observations download for requests using provisional identifiers

v10.8.1 (2023 09 10)
* Updates precision in EPH_DATE column
* Updates code page to 65001 for batch file interface

v10.8 (2023 09 06)
* Initial release of Tycho for macOS
* Updates user guide
* Updates link for observations download

v10.7.5 (2023 08 16)
* Adds ability to apply amplitude thresholding to Period Search module
* Adds sortable columns to Period List window
* Adds sortable columns to Active Comparison Stars window

v10.7.4 (2023 08 14)
* Updates lightcurve database
* Fixes bug that could occur with Cluster Status window

v10.7.3 (2023 08 14)
* Updates use of DrawText routine

v10.7.2 (2023 08 14)
* Replaces remaining ANSI functions with Unicode variants

v10.7.1 (2023 08 13)
* Updates folder selection module

v10.7 (2023 08 12)
* Adds improved support for file paths containing diacritics or accent characters
* Updates 'Ephemeris->Attach from Find_Orb' depending on setting of online, local, or legacy option.
* Updates Status window to indicate currently configured GPU
* Updates calibration and alignment routines for improved GPU compatibility
* Fixes bug that can occur when clicking "Prev", "Next", and "Refresh" buttons in Verify Track window when Track Navigator is not loaded.
* Fixes window resizing issue

v10.6.1 (2023 07 29)
* Fixes locality issue

v10.6 (2023 07 29)
* Adds an improved Exposure Time calculator
* Adds ability to adjust workload coefficients in Cluster Computing module
* Adds enhanced "auto truncate" feature for orbit computation
* Adds RA/Dec statistics to Find_Orb output window when multiple observations are selected
* Updates AAVSO star table window to indicate number of stars returned
* Fixes issue that can occur when applying object data from Known Objects

v10.5.0 (2023 07 12)
* Adds ability to modify object RA/Dec metadata in photometry window

v10.4.9 (2023 07 11)
* Adds ability to import PhotReport photometry files

v10.4.8 (2023 07 05)
* Adds option to use 3rd order plate solutions

v10.4.7 (2023 06 24)
* Updates export of SUBFRMS keyword

v10.4.6 (2023 06 24)
* Updates export of FILTER keyword string value

v10.4.5 (2023 06 23)
* Updates export of metadata when saving selected images

v10.4.4 (2023 06 23)
* Adds option to stack only selected images in Known Object module
* Adds "Online Service" mode for Find_Orb, simplifying installation

v10.4.3 (2023 06 15)
* Fixes bug that could occur when parsing online VizieR catalog file

v10.4.2 (2023 06 15)
* Updates FITS reader to accommodate key-value pairs containing newline characters in COMMENT fields
* Adds extra logging output to Evaluate Images module with field center and size

v10.4.1 (2023 06 11)
* Adds an additional astrometry file of known objects with matching designations when using AutoRun module

v10.4 (2023 06 05)
* Adds ability to abort plate solve routine from Express mode window
* Adds ability to abort calibration routine from main status cancel button
* Fixes refresh of report parameters whenever the active observatory is updated
* Fixes bug that can occur when attaching object data to photometry sets having different observatory codes
* Fixes bug that can occur when generating MPC1992 report with object having permID exceeding 620000
* Fixes bug that can occur when selecting "bias-only" calibration option
* Fixes bug that can occur in Compute Submission Time module when more than one identifier candidate is present
* Fixes bug that can occur when generating observing circumstances with outliers excluded in photometry module
* Fixes bug that can occur when loading photometry set with more than 100 comp stars

v10.3.3 (2023 03 22)
* Adds support for 8-bit images

v10.3.2 (2023 03 12)
* Adds DECam manager utility (experimental)

v10.3.1 (2023 03 08)
* Fixes F6 shortcut to synthetic tracker

v10.3 (2023 03 06)
* Adds option to perform bias subtraction (Calibrate) from master dark
* Adds option to perform bias and dark subtraction from master flat
* Adds pedestal (offset) option to Calibration module
* Adds F7 shortcut key to access Observatory configuration window
* Adds Shift key modifier for arrow buttons in Image Viewer
* Fixes "Browse" button in Calibration module when choosing "Auto Select" for flats

v10.2.2 (2023 03 04)
* Corrected computation of rmsFit (used in ADES reports)

v10.2.1 (2023 03 03)
* Adds ability to include stars brighter than magnitude 9
* Minor fixes to periodogram labels

v10.2 (2023 02 21)
* Adds UTF8 encoding of observatory labels
* Adds 'A' shortcut key for adding observations from Track Viewer
* Adds "Make specific to current observatory" feature to Calibration settings
* Adds bias frame input to Calibration module
* Adds ability to auto select flat frame to Calibration module
* Updates Transform Generator module to work more seamlessly with Sloan magnitude bands

v10.1 (2023 02 15)
* Adds ability to use JPL Horizons interface to apply object data to Image Viewer
* Adds anti-solar vector to compass (PsAng, blue line)
* Adds heliocentric velocity vector compass (PsAMV, yellow line)
* Adds ability to compute Af(rho) for comets
* Adds ability to rearrange list of observatories
* Adds new "OBSERVATORY_ID" as preferred override keyword (replaces "OBSERVATORY_NUMBER")
* Adds new CMOS camera type for MPC1992 and ADES reports
* Adds output of AAVSO Check Star information, even when ENSEMBLE is used
* Adds ability to automatically match Star Catalog MagBand and Filter to FITS header
* Updates ExpTime text overlay to have a more human-readable format
* Updates the "Make specific to current observatory" feature.  If the observatory-specific
  file does not exist, it will revert to global file if available (rather than reverting
  to program defaults)

v10.0.11 (2023 02 07)
* Adds ENABLE_CLUSTER_OPERATION as an override keyword to the AutoRun module

v10.0.10 (2023 02 07)
* Adds ability to toggle cluster operation on/off from Network submenu

v10.0.9 (2023 02 03)
* Adds ability to enable exponential stretch for Image Viewer display
* Improves computation of object positions in Known Object module

v10.0.8 (2023 01 28)
* Adds ability to easily select data points for a given photometry set
* Adds ability to automatically rearrange photometry sets by date

v10.0.7 (2023 01 17)
* Adds ability to display JD offset along X-axis in lightcurve raw plot
* Adds ability to export PhotReport in photometry module

v10.0.6 (2023 01 15)
* Updates Comp Star export to include active AAVSO chart ID

v10.0.5 (2023 01 14)
* Adds ability to easily toggle image(s) for removal in Image Manager

v10.0.4 (2023 01 04)
* Fixes issue that could occur when replacing TIME-OBS keyword

v10.0.3 (2023 01 02)
* Adds support for UTF8 encoding of override.txt file
* Adds support for additional DATE/TIME-OBS formats

v10.0.2 (2022 12 28)
* Adds option to choose automatic chart ID for AAVSO export
* Adds ability to access MPC1992 report window from Tools menu
* Adds ability to access ADES report window from Tools menu
* Adds option to save FITS image using stored settings
* Adds option to disable auto increment of tracklet identifiers (useful for NEOCP objects)

v10.0.1 (2022 12 24)
* Adds "V0544 And" to list of available demo datasets
* Adds option to directly Goto image having max delta_time (useful for identifying meridian flip)
* Adds option to flag images for removal, both in Image Manager and Evaluate Images
* Adds option to remove flagged images
* Adds option to change how PA column is sorted, in both Known Object and Track Navigator
* Improves SNR computation in images having very low background level

v10.0.0 (2022 12 20)
* Adds ability to download AAVSO charts directly into Image Viewer and override existing star catalog
* Adds ability to specify CNAME and CMag into AAVSO reports
* Adds ability to specify KNAME and KMag into AAVSO reports
* Adds ability to show all comets in Known Objects window regardless of magnitude filter
* Adds ability to load track files with no restriction on image count.
* Adds "rmsTime" and "uncTime" quantities for ADES reports
* Adds "UT-BEG" keyword to indicate the start time of the first image
* Adds "UT-END" keyword to indicate the end time of last image
* Adds option for user to specify how EXPTIME is computed when saving a FITS image
* Adds option to bypass scaling of dark frames in calibration
* Adds option to set custom observatory settings for both plate solver and report parameters
* Adds ability to apply transformation coefficients
* Adds ability show '0.0' in the magnitude axis regardless of the chosen interval
* Adds ability to invoke star extraction in command line mode, operating on a directory of FITS image files.
* Adds ability to specify the step in the "AutoRun" section (0.5px is default) via the override file
* Improves scaling of axes in lightcurve graph with user-adjustable increments
* Improves computation of rmsMag as well as error bars in lightcurve
* Improves computation of rmsFit, rmsRA, and rmsDec
* Fixes padding of axis labels when minus sign occurs
* Fixes large plots in lightcurve window from being drawn outside of plot area
* Fixes comp star data generation in multithreading
* Removes conflicting "TIME-OBS" keyword when saving new FITS images
* Lightcurve window now remembers the time unit rather than defaulting to hours
* Prevents auto comp star selector from including the target as a comp star
* Now uses comp star apertures for the graph shown on "Active Comp Stars" window
* Applies antialiasing to the compass and solar vector line drawings
* New demo mode allows for evaluation of the software on the DS1, DS2, DS3, and Ivar (Night 1) images

v9.4.2 (2022 10 27)
* Fixes issue that could occur in computation of 'photAp' field in ADES reports

v9.4.1 (2022 10 26)
* Adds option to deactivate (rather than delete) data points in Transformation Coefficient module

v9.4 (2022 10 25)
* Adds a "Check for Updates" function (accessible via Help->Check for Updates)
* Adds four new transformation coefficients: Tvi, Ti_vi, Tv_vi, and Tr_vi
* Updates "Generate Transforms" module to allow for manual measurements
* Updates SaveWindowPos so that window positions are saved even if closed outside of App termination
* Fixes Image Manager to reset list only upon clicking OK for track file loading
* Fixes ADES timestamp to ensure that '60.0' seconds does not occur

v9.3.7 (2022 10 08)
* Updates transform coefficient module to use reciprocal of slope for Tbv, Tvr and related coefficients
* Automatically filters (B-V) values less than -0.70 and greater than 2.00

v9.3.6 (2022 10 07)
* Minor update to allow larger photometry aperture up to 30 pixels (from 20 pixels)

v9.3.5 (2022 10 05)
* Adds support for Sloan magnitudes in transformation coefficients
* Adds "Max ADU" filter option to prevent inclusion of saturated stars
* Adds convenience button to truncate to past 2 years in "Existing Observations" window
* Adds median target SNR value to image evaluation report
* Fixes resizing issue that could occur with "Image Viewer" window

v9.3.4 (2022 10 04)
* Adds ability to identify "Single Observation" tracklets from Observations window
* Updates transformation coefficient module to easily select and remove outlier points
* Fixes bug that can occur when saving window size and position information

v9.3.3 (2022 09 28)
* Updates Dataset Navigator to display file path information inside existing text box
* Updates aperture setting tool to easily set comp stars to use same aperture as target

v9.3.2 (2022 09 25)
* Adds ability to conduct 'split halves' plot in Lightcurve window

v9.3.1 (2022 09 21)
* Adds ability to adjust font sizes for list and edit controls (via Appearance menu)
* Adds ability to retain past ten object labels in ALCDEF browser

v9.3 (2022 09 19)
* Adds column in Image Manager to indicate image filter
* Adds ability to perform dual period search, useful for binary asteroids
* Adds ability to generate transform coefficients
* Fixes bug that could occur when adding images to Image Manager

v9.2.9 (2022 09 10)
* Adds improvements to JPL Horizons interface module
* Adds output of 'done.txt' file even when no tracks are identified during AutoRun

v9.2.8 (2022 09 08)
* Adds new shortcut keys
* F1 => Help file
* F2 => Add images
* F3 => View images
* F4 => Express mode
* F5 => Batch mode
* F6 => Synthetic tracker
* Fixes issue where folders could be skipped during AutoRun with calibration module

v9.2.7 (2022 09 05)
* Adds "Settings" button to Batch dialog window to more easily access AutoRun settings
* Adds ability to specify active observatory from AutoRun override file
* Fixes stability issues that could occur when operating AutoRun

v9.2.6 (2022 08 31)
* Adds ability to use instrument magnitude in place of differential magnitude

v9.2.5 (2022 08 29)
* Retains data point selection when applying offsets with "Combine Samples"
* Adds ability to override filter specification in AAVSO export

v9.2.4 (2022 08 28)
* Adds ability to load multiple photometry sets from repository in one pass
* Adds ability to apply both flat frame and pseudo flat during calibration
* Updates "Combine Samples" function to operate on each photometry set independently
* Fixes crash that could occur when aligning with multiple threads in CPU mode

v9.2.3 (2022 08 26)
* Adds ability to specify minimum object movement in tracker settings
* Adds ability to invoke object linker from command line

v9.2.2 (2022 07 31)
* Fixes "Apply Object Information" routine from Known Object window

v9.2.1 (2022 07 12)
* Updates console to use existing system code page rather than fixed 1252
* Fixes bug with RemoveOutliers routine

v9.2 (2022 06 30)
* Adds new 'Extended' star extraction option to the plate solver module
* Adds new 'Dataset Navigator' module
* Adds new 'Sky Coverage' module
* Adds ability to save pre-processed SOHO images to PNG
* Adds option to adjust SNR for limiting magnitude computation in Image Evaluation
* Adds option to export CDELT1, CDELT2, CROTA1, CROTA2 keywords on saving FITS
* Removes extraneous text from object names in 'Known Objects' module
* Fixes 'design' field for ADES submissions

v9.1 (2022 06 01)
* Adds ability to output processing time at conclusion of AutoRun
* Adds ability to show 'HJD' column in the photometry measurements window
* Adds ability to save 'STACK' and 'SUBFRMS' keywords on exporting a stacked image
* Adds ability to plot true vs computed magnitude in the Image Statistics module
* Adds ability to include observer referenced from the FITS header
* Adds ability to select 'High Accuracy' or 'Fast' mode for substack photometry
* Adds ability to choose font sizes 8, 9, 10, and 11 for lightcurve graph legend
* Adds new Image Evaluation module
* Updates computation of RMS_RA, RMS_Dec, and RMS_Fit with SNR in quadrature
* Fixes command line interface module to include only supported file types
* Fixes JPL ephemeris to account for exposure time of each image

v9.0.6 (2022 04 24)
* Adds ability to export photometry in Heliocentric Julian Date (HJD) format
* Adds ability to work with images having different bits per pixel (bpp)
* Adds ability to generate Observing Circumstances table for MPB publishing
* Adds ability to extract .fz files from within Image Manager
* Fixes AutoSave in photometry sets to avoid auto saving when no sets are present

v9.0.5 (2022 03 29)
* Adds ability to adjust computation of sky background via Photometry menu
* Adds ability to draw horizontal lines to lightcurve plot

v9.0.4 (2022 03 23)
* Fixes window position and sizing

v9.0.2 (2022 03 20)
* Adds validation of image dimensions to dark frame selector

v9.0.1 (2022 03 18)
* Minor update to SOHO module allows user-adjustable timeout option
* Minor update to SOHO module allows mixing of 16- and 32-bit images

v9.0 (2022 03 15)
* Adds new JPL Horizons interface
* Adds new Session Planner module
* Adds new SOHO Comet Search module
* Adds new SNR formula
* Adds new Lightcurve Database module
* Adds ability to generate photometry from ephemeris
* Adds ability to submit reports to MPC directly from Tycho
* Adds ability to easily adjust magnitude offset
* Adds ability to adjust navigation bar size and visibility
* Adds ability to adjust colors
* Adds multithreading to the "Graph->Generate Data" routine
* Fixes AutoRun to exit the process if alignment fails
* Fixes CNAME to "ENSEMBLE" when multiple comp stars are used
* Fixes quality check process when object not in MPC database
* Fixes AAVSO export issue with airmass

v8.7.1 (2021 12 15)
* Updates navigation bar to behave similar to menu bar when moving main window
* Fixes issue that could occur when registering license key with an existing key

v8.7 (2021 12 09)
* Adds image checksum to track file metadata to ensure the correct images are loaded
* Adds new uncertainty plot to Image Viewer, useful for NEOCP objects
* Updates "Save to Repository" feature to use code "247" in place of "XXX"
* Fixes batch files to support accented and other characters
* Fixes tracker to only update object motion if all three substacks are valid

v8.6.2 (2021 11 24)
* Minor adjustment to "High" sensitivity setting of confidence model
* Changes overlay option, "FOV", to refer to current field of view
* Adds new overlay option, "Cam", referring to the camera field of view
* Improves generation of elements for NEOCP/Recently Confirmed objects

v8.6.1 (2021 11 23)
* Fixes bug that could occur with custom orbital elements

v8.6 (2021 11 21)
* New synthetic tracking algorithm is 2x as fast
* Eliminates the need for a star mask
* Improves confidence algorithm to produce fewer false positives
* Improves detection of objects that have only a few pixels of movement
* Improves designation converter with support for comet prefixes in packed form
* Improves QA module by using a 3 year window around the current measurements
* Improves the "Omit Magnitude" feature with statistical analysis for omission
* Improves distribution of images per each stack
* Adds ability to export the "Known Object" list from Image Viewer to a CSV file
* Adds object magnitude to tracker columns
* Adds Alt/Az option for object data overlay
* Informs user that MPC1992 format should be used when using "XXX" code
* Ensures proper sort order of lightcurve data points when saving to CSV file
* Updates custom orbital elements module to use elements.txt rather than mpc_fmt.txt
* Now uses the Soft00Cmt.txt file for orbital elements of comets

v8.5.2 (2021 10 06)
* Fixes Image Viewer sizing issue that occurs on Windows 7

v8.5.1 (2021 10 06)
* Fixes bug that could occur when setting Track Combine display to Max Motion

v8.5 (2021 Sep 29)
* Adds ability to specify a timeout to abort processing when tracker exceeds X amount of time
* Adds ability to export photometry in AAVSO format
* Adds ability to load and display known variable stars in the current field
* Adds ability to view variable star information by right-clicking on star in Image Viewer
* Adds ability to overlay solar vector for comets
* Adds ability to overlay Elong, Phase, Distance, PABL/PABB
* Adds ability to auto switch to CPU mode for pre-processing routines
* Adds ability to remember column widths in Image Manager (via the "View" menu)
* Adds new rendering mode for Object Profile window: Half Gaussian
* Adds debayering function to the pre-processing options
* Now ignores leading and trailing whitespace that could occur when user inputs object designations
* Removes redundant message box shown when clicking the "Copy to Clipboard" button
* Selecting data points on lightcurve shows corresponding entries in Photometry Measurements window
* Selecting data points on lightcurve also navigates to that location in the Image Viewer
* Holding down Shift key now makes additive data point selection in lightcurve graph
* Fixes bug where first entry is selected when deleting a data point in Photometry Measurements
* Fixes bug that could occur when minimizing the application
* Fixes bug that could occur when formatting sexagesimal output

v8.4 (2021 Aug 29)
* Adds ability to cross-match track files generated from simultaneous field captures
* Adds new menu option to show active comparison stars in the Image Viewer
* Adds ability to translate (shift) POSS overlay image
* Adds ability to customize placement of output files
* Adds additional command line functionality
* Adds diagnostic capability to the Find_Orb configuration window
* Improves quality of measurements by auto selecting the best layer for centroid computation
* Improves computation time to generate observations by a factor of 3
* Improves responsiveness of Period Search in photometry module

v8.3.1 (2021 Aug 8)
* Adds contrast and intensity slider controls to the Track Combine window
* Adds new "Calculate Submission Time" module under the Tools menu
* Fixes bug when applying ephemeris to a photometry object

v8.3 (2021 July 31)
* Adds support for custom machine learning models for object confidence routine
* Reduces time to generate observations by 15%

v8.2.1 (2021 July 22)
* Fixes sort order of dropdown element in tracker settings

v8.2 (2021 July 20)
* Adds ability to move photometry sets up/down in list
* Adds ability to generate photometry measurements directly from Image Viewer
* Adds ability to display RA/Dec, pixel location, and ADU value at cursor location
* Adds filter for ADU value in the Comp Star Finder module
* Adds peak ADU display on the crosshair information window
* Adds ability to zoom in on plot shown in Comp Star Finder
* Adds ability to plot all comp stars in the Active Comp Star window
* Adds ability to adjust the phase-slope parameter, G
* Adds ability to specify asteroid number/name rather than requiring observations
* (H-G) adjustment is now associated with first night, rather than showing raw absolute value
* Adds new "Auto Save" feature for photometry module
* Adds new menu option "View Active Comp Stars", to the photometry menu of "Image Viewer"
* Adds "fRatio" field to ADES report
* Adds ability to compute magnitude zero point (MZERO)
* Adds MZERO to the FITS header when doing "Save as FITS"
* Adds multithreading support to the Track Confidence algorithm
* Adds new "Low/Balanced/High" sensitivity settings to Track Confidence algorithm
* Updates alignment routine to automatically switch to DS=1 if too few stars returned
* Updates provisional designation to allow for 12 characters, such as "C/2014 UN271"
* Fixes bug where File->Save CSV from Periodogram window would always output in days

v8.1.5 (2021 June 16)
* Fixes computation of magnitude when performing "Modify Observation"

v8.1.4 (2021 June 16)
* Adds offline Gaia DR2 catalog support for small FOV image fix

v8.1.3 (2021 June 16)
* Fixes ALCDEF search functionality (change of web host)
* Fixes bug that could occur when loading offline catalog with small FOV images

v8.1.1 (2021 May 29)
* Adds ability to specify rectangular aperture up to 300 pixels
* Fixes bug that could occur when attaching ephemeris
* Fixes the sorting of MPCDate column in QA window

v8.1 (2021 May 22)
* Adds distortion correction option to internal alignment
* Internal alignment now handles meridian flips
* Updates ephemeris stacking to support non-linear motion
* Adds ability to adjust injected speed/PA in Evaluate Thresholds
* Adds extra precision mode for MPC reports
* Adds ability to set automatic stacking in Known Objects module
* Adds "Register memory" option to OpenCL settings
* Adds support for "XXX" and "247" code in quality analysis module
* Adds "Time duration" and "Amplitude" overlay to selection rectangles
* Adds ability to specify a radius filter in "Comp Star Finder"
* Adds ability to import/export the active comp stars
* Adds "Filter" and "MagBand" columns to photometry set display
* Adds new "Load Comp Stars" menu item to each photometry set
* Photometry stars now show the comp stars used by "Comp Star Finder" when open
* Updates the Image Statistics module to use Peak SNR for "SNR vs Mag" plot
* Windows are now removed from navigation bar when closed
* GPU code now runs 10% faster on datasets that are not a factor of 32
* Improves refresh of items when invoking "Remove Selected" in Image Manager
* Improves the algorithm used in omitting magnitude when near a star
* Fixes object label in the Attach Ephemeris module
* Fixes override script with correct offset for RESIZE_BIN_FACTOR
* Fixes override script with correct offset for RESIZE_DIV_HORIZONTAL
* Fixes override script with correct offset for RESIZE_DIV_VERTICAL
* Fixes bug when using markers with horizontal transformation enabled
* Fixes refresh button in repositories window

v8.0 (2021 March 25)
* Adds support for CMC15, APASS DR9, Gaia EDR3, and ATLAS-REFCAT2 star catalogs
* Adds new Comp Star Finder module
* Adds ability to select circular, elliptical, and rectangular apertures
* Adds ability to overlay Palomar Sky Survey images
* Adds new False Color rendering mode
* Adds star mask overlay
* Adds new navigation bar
* Adds new CCD parameters: gain, readout, and dark current for SNR computation
* Adds SNR column to Photometry Measurements window
* Adds ability to specify the AC2 line for MPC reports
* Adds new integrated online plate solver
* Adds new automatic background level for display of images that are not normalized
* Adds ability to automatically omit magnitude due to star interference or low flux
* Adds new Known Object overlay
* Adds additional verbosity to the OpenCL test device routine
* Adds bicubic resampling to the internal alignment routine
* Adds catalog, mag band, and filter to each observation that is created
* Adds ability to create observations from multiple tracks in one pass
* Adds photometry star overlay
* Adds sorting to the Photometry Measurements window
* Adds ability to animate frames from the Image Manager window
* Adds ability to zoom in/out using mouse wheel
* Adds ability to scroll images using mouse wheel + CTRL key
* Adds total exposure time to Image Manager
* Adds ability to truncate observations in "Text Form -- Observations" window
* Adds new Star Information window displaying (B-V) and (V-R) data
* Adds new tab and space-delimited output options for export of Photometry data
* Adds ability to link data points on the photometry graph with the measurements list
* Adds ability to show which catalog stars were used as comparison stars in photometry
* Dramatically improves rendering of Image Viewer display with no flickering
* Cluster computing: worker nodes now start in background
* Fixes snapshot images to use correct dimensions
* Fixes object label issue with Find_Orb handler
* Fixes magnitude uncertainty computation
* Fixes bug that could occur when initializing a roving observatory
* Fixes bug that could occur when loading track file after cluster computing run
* Fixes flickering that could occur when resizing the Photometry Measurements window

v7.4.1 (2021 January 12)
* Removes dark frame EXPTIME message

v7.4 (2021 January 11)
* Revamps the internal alignment module to handle a much wider range of datasets
* Dramatically speeds up internal alignment, able to align 700 images in under 30 seconds
* Updates the "--objs" flag in plate solver to 400, improving odds of usable solution
* Updates the user guide with more examples and improved structure
* Ability to add worker nodes without GPU acceleration (CPU mode)
* Ability to use UNC path names in the plate solver
* Ability to skip creation of observations/snapshots during AutoRun
* Updates the cluster computing module to allow abort message to be sent from host node
* Consolidates "Distribute Dataset" and "Begin" into a single button for cluster computing
* Provides additional error handling when GPU memory is exceeded
* Fixes unicode characters in "Evaluate Thresholds" window
* Fixes the "Test Device" module to work with more graphics cards

v7.3.1 (2020 December 2)
* Fixes download of comet observations from Known Object window

v7.3 (2020 December 1)
* Ability to specify a folder of darks and automatically select appropriate dark
* Ability to keep the Observations window open during resets
* Ability to add custom orbital elements via Existing Observations window
* Ability to import orbital elements from NEOCP/Recently Confirmed pages
* Adds new commands to the AutoRun override file
* Improves multiple selection of items in Known Objects window
* Improves matching of comets with option to use larger search window
* Now uses updated Windows common controls
* Ctrl+A now works in regular edit boxes
* Fixes marquee selection in list controls on Windows 10
* Fixes bug that could occur when plate solving image at root directory

v7.2.1 (2020 November 3)
* Improves calibration routine "Fix Hot Pixels"
* Fixes bug that could occur when applying "Fix Hot Pixels" after pseudo-flat

v7.2 (2020 November 1)
* Improves "Compute Confidence" processing time by up to 20x
* Ability to directly add Known Objects to Track Navigator
* Ability to more easily abort "Express Mode"
* Ability to append rather than overwrite with "Save to Repository"
* Ability to plot Magnitude vs FWHM in Image Statistics window
* Ability to save the zero motion stack during AutoRun for analysis purposes
* Informs user when a NEOCP object is given a new designation
* Keeps "Existing Observations" window open during resets
* Now displays blank value in magnitude column when H and G are undefined
* Fixes bug with Image Viewer where saved window position conflicted with "Large Display"
* Fixes bug where clicking "X" in Track Confidence window did not abort the routine
* Fixes incorrect "NUM" value when using the "only_known" and "only_unknown" output files from AutoRun
* Fixes issue with objects having NaN values for RA/Dec from FindOrb

v7.1.1 (2020 October 11)
* MPCORB extractor is now statically linked

v7.1 (2020 October 10)
* Precisely compute known object positions
* Requires update to the [modified] Find_Orb program
* Displays the 'r' (distance) value for asteroids/comets in Known Objects window
* Adds support for ELEMENTS.COMET file to compute orbit position of known comets
* Adds "Show Optimal Exp" button to exposure time calculator
* Adds support for Ctrl+A and DEL key in list controls
* Updates network code to handle track files exceeding 10 million tracks
* Ability to constrain plate solver to search within a radius of the RA/Dec in FITS header
* Ability to automatically save track file when tracker has completed
* Ability to automatically load known objects when tracker has completed
* Ability to automatically compute track confidence when tracker has completed
* Fixes bug in offline GaiaDR2 catalog when at cross-over point of RA coordinates
* Fixes photometry issue that could occur when object is near CCD edges

v7.0.1 (2020 September 29)
* Fixes track coordinates to permit negative values

v7.0 (2020 September 28)
* Adds new ruler measuring tool in Image Viewer
* More efficient memory usage during synthetic tracking operation
* Ability to select every Nth image in batch mode via Auto Run settings
* Ability to display image orientation in overlay region
* Ability to navigate to coordinates that fall outside the field of view
* Ability to compute and display a straight-line position prediction from the Markers dialog
* Ability to directly download and extract the MPCORB.DAT.gz file
* Plate solver is now a modeless dialog
* Adds "Abort" button to plate solver
* Adds additional downsample options to plate solver
* Adds option to automatically retry plate solve using different image in dataset
* Adds color coding on track confidence
* Fixes disappearance of vertical scrollbar after setting ECO_SAVESEL option to rich edit control

v6.7.1 (2020 September 11)
* Fixes bug when computing sensitivity threshold on large datasets (>2GB)

v6.7 (2020 September 10)
* Automatically saves window positions
* Ability to use right-click in text forms for copy/paste actions
* Improves the Optimal Exposure Time calculator
* Updates the CleanEnvironment routine to target adjacent directories more precisely

v6.6 (2020 September 5)
* Fixes bug that occurs when refreshing Object Profile window outside of image boundary
* Fixes bug that occurs when plate solving images on systems having spaces in AppData path

v6.5 (2020 September 2)
* Ability to invoke Verify Track by double-clicking on a track
* Ability to automatically refresh Object Profile display
* Ability to automatically save measurements for later recovery
* Ability to automatically load star catalog when Image Viewer is opened
* Adds new options to Image Resize module
* Updates the "from NEOCP" path to use track id rather than provisional id
* Updates test target generator so that targets are centered at mid-point of stack
* Adds new test target automation module, "Evaluate Thresholds"

v6.4 (2020 August 4)
* Adds new timeout option for object linker module
* Adds option to display plate solver output directly in status window
* Adds "View with Existing" option for NEOCP objects
* Adds ability to display markers visually
* Adds ability to "go to" a marker
* Moves marker information to separate window
* Improves computation of midpoint time when images have different exposure times
* Fixes bug when using "internal alignment" in CPU mode

v6.3 (2020 July 11)
* Fixes ephemeris bug that was introduced in v6.2
* Fixes calculation of RA error in Image Statistics module to use cos(DE) coefficient
* Fixes loading of offline DR2 catalog when near the poles
* Adds ability to flip image horizontally
* Adds ability to flip image vertically
* Adds ability to rotate image by custom amount
* Adds ability to rotate image so that North points up
* Adds new Compass overlay option
* Adds additional zoom factors
* Improves rendering of large images by adding multithreading rendering
* Improves rendering of catalog stars by pre-computing position information

v6.2 (2020 July 3)
* Improves performance of CPU-only mode
* Re-tunes track confidence algorithm for support of 12-bit ADUs
* Adds new "large view" mode for Image Viewer
* Adds option to specify name of override file for AutoRun mode
* AutoRun mode now output three combinations of files:
  a) All tracked objects
  b) Only known objects
  c) Only unknown objects
* Image Manager now displays totals at bottom of window
* Automatically removes WCS information when operations are performed that would invalidate WCS information
* Adds new hot pixel removal algorithm for calibration
* Combines image normalization with other calibration steps for streamlined processing

v6.1 (2020 June 7)
* Adds new confidence algorithm to easily identify true detections from false detections
* Adds new filter module to Track Navigator
* Adds new test target generator
* Updates User Guide

v6.0 (2020 May 16)
* Adds new Photometry Analysis module
* Adds ability to generate raw plot and phased plot of photometry measurements
* Adds ability to perform Fourier analysis to determine rotation period of asteroids
* Adds ability to adjust period and perform phase shift
* Adds ability to compute absolute magnitude with orbital information
* Adds ability to import and export ALCDEF photometry sets
* Adds ability to manage multiple observatory configurations
* Adds new Batch Mode feature (Pro version only, since it requires AutoRun)
* Adds new Aperture Setting feature within the Image Viewer module
* Adds multithreaded stacking support for CPU-only mode
* Adds Julian Date conversion in Date Converter module
* Adds airmass calculator
* Improves computation of auto threshold
* Improves computation of min threshold
* Improves arrangement of items in Tools menu
* Improves snap-to-peak centroiding
* Improves ephemeris selection by allowing FindOrb instance to remain open
* Updates User Guide

v5.5 (2020 March 22)
* Updates Report Parameters with simplified interface on acquiring new MPC code
* Updates the User Guide with clarification on acquiring new MPC code

v5.4 (2020 March 22)
* Improves support for 4K and other high-DPI monitors

v5.3 (2020 March 18)
* Adds "Test Device" functionality to test GPU capability
* Adds support for systems without GPU (new CPU-only mode)
* Shows status when tracks are being created (no more freezing UI at end of processing)
* Fixes bug that stated FindOrb needed to be updated when it was already up-to-date
* Updates the User Guide to describe the Time Information settings
* Updates the User Guide to describe the steps in acquiring a new observatory code

v5.2 (2020 March 2)
* Ability to crop and divide images
* Binning is now performed prior to alignment per user request

v5.1 (2020 February 19)
* The 'remove WCS' functionality is now invoked via a button rather than as a checkbox setting
* Image statistics module now uses multiple threads to collect statistics, speeding up the process
* Ability to apply a common designation to all observations shown in the 'Existing Observations' window
* Ability to show median residual per one or more grid sections of an image
* Fixes bug in tracker where a message posted by two or more threads could result in the merge function being invoked more than once
* Fixes bug in tracker where the cloned thread images computed plate scale and CCD PA prior to having received the correct image dimensions

v5.0 (2020 February 15)
* Better contrast adjustment
* Adds new Repositories feature
* Object linker tool
* Better 32-bit image support
* Ability to generate image statistics
* Ability to handle numbered objects that exceed 619,999 for MPC1992 format
* Ability to convert Decimal Day to regular format and vice-versa
* Ability to convert ADES (PSV) to MPC1992 format
* Ability to match observations against those on the NEOCP/Recently Confirmed pages
* Improves Object Profile display

v4.2 (2019 December 30)
* Fixes PixInsight alignment routine where some users received 'alignment failed' message
 
v4.1 (2019 December 24)
* Fixes the ephemeris loader to recognize when a column (such as magnitude) is omitted by FindOrb
* Improves pseudo flat module so that edge trimming is reduced by half, preserving more of the original image dimensions

v4.0 (2019 December 7)
* Adds an internal alignment option for datasets where images are already approximately aligned
* Improved column repair module
* Ability to use comet designations
* Ability to hide centroid crosshairs
* Ability to select and delete multiple tracks

v3.9 (2019 November 5)
* Replaces fixed ADU detection threshold with histogram sensitivity level
* Override file now uses "SENSITIVITY_LEVEL" keyword rather than "DETECTION_THRESHOLD"
* Ability to maintain existing background level when using pseudo flat
* Fixes bug when converting -0.X declination from decimal to sexagesimal format

v3.8.3 (2019 October 29)
* Adds support for FITS files that use TIME-OBS keyword

v3.8.2 (2019 October 26)
* Minor updates to user guide regarding the plate solver
* Resolves scaling issue from PixInsight 32-bit integer images

v3.8.1 (2019 October 20)
* Improves compatibility with 32-bit images for binning

v3.8 (2019 October 19)
* Improves astrometry on images having higher distortion
* Simplifies plate solver to use only v0.38 of ansvr [some architectures did not support v0.78]
* Adds new column to tracker configuration to display movement in arcsec/min alongside sec/pixel
* Fixes bug when loading MPCORB in Image Viewer when it has already been loaded in Track Navigator

v3.7.1 (2019 October 8)
* Minor update to image converter

v3.7 (2019 October 7)
* Ability to load debayered images with 'BAYERPAT' keyword

v3.6 (2019 October 6)
* Improves compatibility with 32-bit images that lack BSCALE and BZERO keywords
* Ability to use new Distortion Correction for PixInsight 1.8.7

v3.5 (2019 September 30)
* Ability to remove hot pixels via outlier algorithm (helpful when dark frame is inadequate)
* Ability to remove (zero out) specified columns
* Ability to view data in 3D (experimental)

v3.4 (2019 September 23)
* Ability to choose more than 8 threads for synthetic tracker operation

v3.3 (2019 September 22)
* Fixes bug that can occur when traversing across different drive letters

v3.2 (2019 September 21)
* Fixes bug that can occur when %LOCALAPPDATA% contains spaces (particularly for the astrometry.net setup)

v3.1 (2019 September 18)
* Fixes bug that can occur when the selected online catalog differs from the selected offline catalog

v3.0 (2019 September 14)
* Improves image load time by at least 2x
* Improves centroiding by using point-spread function (PSF) fitting
* Improves astrometric measurements
* Ability to view object ephemeris information for each image
* Ability to perform pseudo-flat calibration
* Ability to view and modify centroid of observation
* Ability to find object in Track Navigator by ephemeris information
* Ability to perform alignment routine with PixInsight
* Ability to load and display MPCORB objects in Image Viewer
* Ability to run tracker with parameters optimized for already known object
* Ability to download observations of an object from the main menu (Tools->Download Observations)

v2.8 (2019 July 20)
* Ability to interface with sat_id program
* Minor updates to the object profile window

v2.7.9 (2019 July 3)
* Automatically scrolls observation list to ensure newest observation is visible
* Prevents progress window from showing again when tracking has finished
* Updates user guide to recommend installation of the 4100 series index files

v2.7.8 (2019 June 19)
* Auto Run module now saves all available tracks, not just the ones for which snapshot images were generated
* Fixes bug when loading observations file without any images
* Fixes bug when starting Express mode while having Image Viewer open

v2.7.7 (2019 June 18)
* Fixes object PA for mirrored systems
* Updates object profile window to show FWHM

v2.7.6 (2019 June 13)
* Loads WCS from track file only if not available in current image set

v2.7.5 (2019 June 12)
* Minor updates to the Line Segment module
* Fixes calculation of image PA

v2.7.4 (2019 June 5)
* Fixes bug with legacy version (0.38) of plate solver for file paths containing spaces

v2.7.3 (2019 June 4)
* Fixes bug with MPCORB comparison on manual mode

v2.7.2 (2019 June 3)
* Allows option to use legacy plate solver for backward compatibility
* Allows higher upper-bound on plate scale to be used with plate solver
* Provides option to keep console window open for debugging plate solver output
* Performs automatic MPCORB comparison for Auto Run script

v2.7.1 (2019 May 31)
* Fixes synchronization issue with cluster computing module

v2.7 (2019 May 28)
* Ability to use multiple GPUs per machine
* Automatically computes optimal value for Static Threshold
* Replaces start/stop/step parameters with a single input field, max object speed
* Plate solver module works with new version of solve-field v0.78 (previously used v0.38)
* Improves WCS using 3rd-order polynomial with SIP distortion applied
* Improves generation of motion vectors
* New Express mode helps automate workflow
* Ability to apply darks and flats in calibration
* Ability to load 32- and 64-bit images without using the converter module
* Ability to launch screen recorder from Image Viewer
* Improved loading of star catalog (noticeable for very dense star fields)
* Both median and averaging kernels now use bilinear filtering
* Adds arrow buttons on Image Viewer to nudge the position by exactly one pixel per click
* Adds new Line Segment module for Image Viewer for measuring streaked objects
* Adds FOV and image PA to overlay options
* Fixes conversion of sec/pixel to speed/PA (noticeable for fast objects)
* Fixes binning module to update XPIXSZ, YPIXSZ, XBINNING, and YBINNING keywords

v2.6 (2019 April 12)
* Tracking is now performed relative to midpoint of exposures rather than first exposure
* Adds automation support via new Auto Run module
* Adds support for offline copy of Gaia DR2 catalog (GRAPPA)
* Improves user-defined stacking for those performing manual object detection
* Improves detection of slow objects (relative to delta time between exposures)
* Improves astrometry measurements
* Improves image converter and allows for binning existing 16-bit images
* Improves MPCORB comparison, allowing comparison with position angle
* Improves contrast adjustment in Image Viewer
* Ability to overlay magnifier in Image Viewer
* Ability to overlay observer/measurer information in Image Viewer
* Ability to overlay observation information in Image Viewer
* Ability to overlay track information in Image Viewer
* Ability to render animated stacks in either median or average combine
* Ability to pause tracker
* Automatically refreshes animation when changing stack combine mode
* Fixes bug where common name of object from MPCORB was used in provisional ID

v2.5 (2019 February 11)
* Ability to specify max number of tracks (default is 5000)
* Improved image converter
* Recognize files with .fts extension (in addition to .fit and .fits)
* Ability to create stacks with custom motion

v2.4 (2019 February 2)
* Adds Quality Analysis module to automate checking of residuals
* Improves centroid algorithm
* Properly handles 7 character designations in the Track ID field

v2.3 (2019 January 28)
* Added user guide to Help menu
* Reworded the instructions on object label designation dialog box
* Fixed crosshair display in PNG image of full field of view in Image Viewer

v2.2 (2019 January 27)
* Ability to select File Dialog version
* Computes 'exp' column in ADES report to be total exposure for stacked images

v2.1 (2019 January 26)
* Ability to select number of generated observations
* Handles 7 character internal designations

v2.0 (2019 January 24)
* Adds support for Gaia DR2 catalog
* Revamped astrometry and photometry pipeline with improved residuals and more accurate magnitude information
* Removes requirement to plate solve all images; only the first image needs WCS information
* Introduces “Verify Tracks” feature which automates the creation of observations for each track that the user deems valid -- no need to manually create observations.
* Eliminates need to ‘Exclude’ images that have short delta times on slow-moving objects
* Improves tracking: objects are now tracked at subpixel resolution
* Identifies observation linkages for multiple night sessions
* Adds user-adjustable granularity setting for motion vector selection
* Consolidates MPC1992 and ADES observation lists into single list with the ability to convert between the formats as necessary
* Introduces “Optimize Track” functionality which is significantly faster and more accurate than the former “Optimize Motion” feature that it replaces
* Adds support for more than 2GB video memory allocation
* Adds metadata to track files indicating the settings used to generate the tracks
* Ability to sort items in the Track Navigator window by a given column
* Maintains selected item in Track Navigator even when list is refreshed
* Ability to adjust DATE-OBS by a user-defined offset
* Ability to specify 1s or 0.1s precision timestamps
* Ability to zoom out of images
* Ability to choose max, median, or average combine for selected images
* Ability to choose zero motion or tracked motion for combining images
* Ability to save and load list of observations
* More conveniently adjust black and white levels
* Significantly reduces time to compare tracks with MPCORB elements
* Adds user-adjustable threshold for matching MPCORB objects to tracks
* Retains MPCORB settings to reduce prompting each time
* Retains Star Catalog settings to reduce prompting each time
* Retains FindOrb settings to reduce prompting each time
* Retains Observatory settings to reduce prompting each time
* Adds progress indication for plate solve routine
* Only show FITS header window when explicitly requested
* Updates motion vector count in separate thread from GUI to improve responsiveness
* Improves rendering of catalog stars
* Improves rendering of crosshairs
* Improves user experience by making the main window (rather than the desktop window) the parent window of all other windows in the application
* Improves user experience by showing ADES Report and MPC1992 Report as modeless dialogs rather than modal dialogs
* Fixes bug with alignment routine (script file)
* Fixes bug with check residuals routine (provisional identifier string)
* Fixes bug where buttons in MPC1992 report dialog did not move correctly when resized
* Fixes bug where observations could not be generated from stand-alone Image Viewer
* Fixes bug where dialog remained grayed out after invoking file dialog

v1.15 (2018 December 8)
* Ability to view existing observations of a known object
* Ability to check residuals of selected observations
* Ability to have multiple objects in a report
* Improved measurements using midpoint of stack
* Improved photometry using consistent aperture radius
* Improved levels adjustment for Image Viewer
* Improved centering on saturated objects
* Improved conversion of 32-bit FITS images to 16-bit images

v1.14 (2018 November 23)
* Ability to convert 32-bit FITS images to 16-bit images
* Ability to perform software-level binning (downsampling)
* Ability to reduce false detections using inner/outer threshold
* Ability to export track list to a CSV file

v1.13 (2018 November 16)
* Removed timeout debug statement in Plate Solving routine

v1.12 (2018 November 15)
* Added columns RMS RA, RMS Dec, and RMS Mag to ADES report
* Added sexagesimal conversion calculator
* Fix bug where MPCORB info is reset upon performing Optimize Motion
* Improved photometry when measuring stacks of images

v1.11 (2018 November 11)
* Ability to generate ADES PSV-formatted reports
* Ability to generate legacy MPC1992 reports
* Support for roving observatories
* Use matrix method to compute distances to MPCORB objects (better accuracy)
* If distance to nearest MPCORB object exceeds 2 arcmin, indicate no matching object
* Improved Optimize Motion functionality

v1.10 (2018 October 30)
* Ability to resize Track Navigator window
* Ability to resize Track Positions window
* Ability to consult wizard on recommended start/stop/step parameters

v1.09 (2018 October 29)
* Fix bug when using speed/PA limiters on multithreading option

v1.08 (2018 October 29)
* Multithreading support to keep GPU occupied and more efficient (some datasets are now 2-3x faster)

v1.07 (2018 October 24)
* Fix image index label when performing delete on file list
* Fix magnitude conversion from 'B' to 'V' band
* Fix centering on peak pixel when blink stack is used
* Warn user if observation not centered on peak pixel for centroid determination
* Ability to create observation from blink stacks, in addition to regular stacks and individual frames

v1.06 (2018 October 19)
* Ability to remember window positions
* Ability to maximize and resize main dialog box
* Use 'V' magnitude band

v1.05 (2018 October 17)
* Ability to create blink-able stacks
* Ability to adjust black level and white level in Image Viewer

v1.04 (2018 October 17)
* Ability to navigate tracks using left/right arrow keys while on "Track - Positions" dialog box
* Ability to specify crop amount to reduce false detections on datasets where images have large offsets

v1.03 (2018 October 16)
* Save zoom and brightness settings on Image Viewer
* Save zoom and brightness settings on Track - Combine
* Save zoom and brightness settings on Static Threshold viewer
* Ability to adjust crosshair box size using drop-down list

v1.02 (2018 October 15)

* Ability to specify asteroid designation up-front
* Ability show/hide catalog stars
* Limit search to range of speeds
* Limit search to range of PA
* Ability to force 2x granularity






